Devices {base} | R Documentation

## List of Graphical Devices

### Description

The following graphics devices are currently available:

- `postscript` Writes PostScript graphics commands to a file
- `pictex` Writes LaTeX/PicTeX graphics commands to a file
- `x11` The graphics driver for the X11 Window system (Unix)
- `png` PNG bitmap device
- `jpeg` JPEG bitmap device
- `xfig` Device for XFIG graphics file format
- `bitmap` bitmap pseudo-device via `GhostScript` (if available).

### Usage

    postscript(...)
    pictex(...)
    x11(...)
    png(...)
    jpeg(...)
    bitmap(...)

### See Also

The individual help files for further information on any of the devices listed here;

`dev.cur`, `dev.print`, `graphics.off`, `image`, `dev2bitmap`